// dbImages.cpp : implementation file
//

#include "stdafx.h"
#include "UsingBlob.h"
#include "dbImages.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CdbImages

IMPLEMENT_DYNAMIC(CdbImages, CRecordset)

CdbImages::CdbImages(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CdbImages)
	m_BLOBName = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CdbImages::GetDefaultConnect()
{
	return _T("ODBC;DSN=MS Access Database");
}

CString CdbImages::GetDefaultSQL()
{
	return _T("[Images]");
}

void CdbImages::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CdbImages)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[BLOBName]"), m_BLOBName);
	RFX_LongBinary(pFX, _T("[BLOBImage]"), m_BLOBImage);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CdbImages diagnostics

#ifdef _DEBUG
void CdbImages::AssertValid() const
{
	CRecordset::AssertValid();
}

void CdbImages::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
